Update Wallet Restriction
curl --request PUT \
--url https://waas-staging.embedly.ng/WaasCore/api/v1/wallet-limits/update/:restrictionId \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"restrictionId": "<string>",
"walletId": "<string>",
"restrictionType": "<string>",
"restrictionAmount": 123,
"reasonCode": "<string>",
"reason": "<string>",
"effectiveFrom": "<string>",
"expiresAt": "<string>"
}
'import requests
url = "https://waas-staging.embedly.ng/WaasCore/api/v1/wallet-limits/update/:restrictionId"
payload = {
"restrictionId": "<string>",
"walletId": "<string>",
"restrictionType": "<string>",
"restrictionAmount": 123,
"reasonCode": "<string>",
"reason": "<string>",
"effectiveFrom": "<string>",
"expiresAt": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
restrictionId: '<string>',
walletId: '<string>',
restrictionType: '<string>',
restrictionAmount: 123,
reasonCode: '<string>',
reason: '<string>',
effectiveFrom: '<string>',
expiresAt: '<string>'
})
};
fetch('https://waas-staging.embedly.ng/WaasCore/api/v1/wallet-limits/update/:restrictionId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "00",
"success": true,
"message": "Wallet restriction limit updated successfully",
"data": null
}
Wallet Restriction
Update Wallet Restriction
Update fields of an existing wallet restriction.
PUT
/
WaasCore
/
api
/
v1
/
wallet-limits
/
update
/
:restrictionId
Update Wallet Restriction
Use this endpoint to adjust an existing restriction without creating a new one. Common updates include changing the expiry time, amount limit, or reason after a review. The restriction is still identified by
restrictionId.
string
required
Path parameter: UUID of the restriction to update
string
required
Wallet UUID
string
required
Restriction type (e.g.
MANUAL)number
required
Restriction amount
string
required
Reason code (e.g.
MANUAL)string
Human explanation
string
ISO 8601 datetime when restriction becomes active
string
ISO 8601 datetime when restriction expires
{
"code": "00",
"success": true,
"message": "Wallet restriction limit updated successfully",
"data": null
}
⌘I